/*
 *	midi-meta-events.cc
 *
 */
#include "midi-event.h"
#include "midi-part.h"

m_meta_type 
m_meta_event::types[] =
{
	{0x00, "SequenceNumber", 2},
	{0x01, "Text", -1},
	{0x02, "Copyleft", -1},
	{0x03, "SequenceName", -1},
	{0x04, "Instrument", -1},
	{0x05, "Lyric", -1},
	{0x06, "Marker", -1},
	{0x07, "CuePoint", -1},
	{0x08, NULL, -1},
	{0x09, NULL, -1},
	{0x0a, NULL, -1},
	{0x0b, NULL, -1},
	{0x0c, NULL, -1},
	{0x0d, NULL, -1},
	{0x0e, NULL, -1},
	{0x0f, NULL, -1},
	{0x10, NULL, -1},
	{0x11, NULL, -1},
	{0x12, NULL, -1},
	{0x13, NULL, -1},
	{0x14, NULL, -1},
	{0x15, NULL, -1},
	{0x16, NULL, -1},
	{0x17, NULL, -1},
	{0x18, NULL, -1},
	{0x19, NULL, -1},
	{0x1a, NULL, -1},
	{0x1b, NULL, -1},
	{0x1c, NULL, -1},
	{0x1d, NULL, -1},
	{0x1e, NULL, -1},
	{0x1f, NULL, -1},
	{0x20, "ChannelPrefix", 1},
	{0x21, "PortPrefix", 1},
	{0x22, NULL, -1},
	{0x23, NULL, -1},
	{0x24, NULL, -1},
	{0x25, NULL, -1},
	{0x26, NULL, -1},
	{0x27, NULL, -1},
	{0x28, NULL, -1},
	{0x29, NULL, -1},
	{0x2a, NULL, -1},
	{0x2b, NULL, -1},
	{0x2c, NULL, -1},
	{0x2d, NULL, -1},
	{0x2e, NULL, -1},
	{0x2f, "EOT", 0},
	{0x30, NULL, -1},
	{0x31, NULL, -1},
	{0x32, NULL, -1},
	{0x33, NULL, -1},
	{0x34, NULL, -1},
	{0x35, NULL, -1},
	{0x36, NULL, -1},
	{0x37, NULL, -1},
	{0x38, NULL, -1},
	{0x39, NULL, -1},
	{0x3a, NULL, -1},
	{0x3b, NULL, -1},
	{0x3c, NULL, -1},
	{0x3d, NULL, -1},
	{0x3e, NULL, -1},
	{0x3f, NULL, -1},
	{0x40, NULL, -1},
	{0x41, NULL, -1},
	{0x42, NULL, -1},
	{0x43, NULL, -1},
	{0x44, NULL, -1},
	{0x45, NULL, -1},
	{0x46, NULL, -1},
	{0x47, NULL, -1},
	{0x48, NULL, -1},
	{0x49, NULL, -1},
	{0x4a, NULL, -1},
	{0x4b, NULL, -1},
	{0x4c, NULL, -1},
	{0x4d, NULL, -1},
	{0x4e, NULL, -1},
	{0x4f, NULL, -1},
	{0x50, NULL, -1},
	{0x51, "Tempo", 3},
	{0x52, NULL, -1},
	{0x53, NULL, -1},
	{0x54, "SMPTE", 5},
	{0x55, NULL, -1},
	{0x56, NULL, -1},
	{0x57, NULL, -1},
	{0x58, "Time", 4},
	{0x59, "Key", 2},
	{0x5a, NULL, -1},
	{0x5b, NULL, -1},
	{0x5c, NULL, -1},
	{0x5d, NULL, -1},
	{0x5e, NULL, -1},
	{0x5f, NULL, -1},
	{0x60, NULL, -1},
	{0x61, NULL, -1},
	{0x62, NULL, -1},
	{0x63, NULL, -1},
	{0x64, NULL, -1},
	{0x65, NULL, -1},
	{0x66, NULL, -1},
	{0x67, NULL, -1},
	{0x68, NULL, -1},
	{0x69, NULL, -1},
	{0x6a, NULL, -1},
	{0x6b, NULL, -1},
	{0x6c, NULL, -1},
	{0x6d, NULL, -1},
	{0x6e, NULL, -1},
	{0x6f, NULL, -1},
	{0x70, NULL, -1},
	{0x71, NULL, -1},
	{0x72, NULL, -1},
	{0x73, NULL, -1},
	{0x74, NULL, -1},
	{0x75, NULL, -1},
	{0x76, NULL, -1},
	{0x77, NULL, -1},
	{0x78, NULL, -1},
	{0x79, NULL, -1},
	{0x7a, NULL, -1},
	{0x7b, NULL, -1},
	{0x7c, NULL, -1},
	{0x7d, NULL, -1},
	{0x7e, NULL, -1},
	{0x7f, "MetaMeta", -1},
	{0x80, NULL, -1},
	{0x81, NULL, -1},
	{0x82, NULL, -1},
	{0x83, NULL, -1},
	{0x84, NULL, -1},
	{0x85, NULL, -1},
	{0x86, NULL, -1},
	{0x87, NULL, -1},
	{0x88, NULL, -1},
	{0x89, NULL, -1},
	{0x8a, NULL, -1},
	{0x8b, NULL, -1},
	{0x8c, NULL, -1},
	{0x8d, NULL, -1},
	{0x8e, NULL, -1},
	{0x8f, NULL, -1},
	{0x90, NULL, -1},
	{0x91, NULL, -1},
	{0x92, NULL, -1},
	{0x93, NULL, -1},
	{0x94, NULL, -1},
	{0x95, NULL, -1},
	{0x96, NULL, -1},
	{0x97, NULL, -1},
	{0x98, NULL, -1},
	{0x99, NULL, -1},
	{0x9a, NULL, -1},
	{0x9b, NULL, -1},
	{0x9c, NULL, -1},
	{0x9d, NULL, -1},
	{0x9e, NULL, -1},
	{0x9f, NULL, -1},
	{0xa0, NULL, -1},
	{0xa1, NULL, -1},
	{0xa2, NULL, -1},
	{0xa3, NULL, -1},
	{0xa4, NULL, -1},
	{0xa5, NULL, -1},
	{0xa6, NULL, -1},
	{0xa7, NULL, -1},
	{0xa8, NULL, -1},
	{0xa9, NULL, -1},
	{0xaa, NULL, -1},
	{0xab, NULL, -1},
	{0xac, NULL, -1},
	{0xad, NULL, -1},
	{0xae, NULL, -1},
	{0xaf, NULL, -1},
	{0xb0, NULL, -1},
	{0xb1, NULL, -1},
	{0xb2, NULL, -1},
	{0xb3, NULL, -1},
	{0xb4, NULL, -1},
	{0xb5, NULL, -1},
	{0xb6, NULL, -1},
	{0xb7, NULL, -1},
	{0xb8, NULL, -1},
	{0xb9, NULL, -1},
	{0xba, NULL, -1},
	{0xbb, NULL, -1},
	{0xbc, NULL, -1},
	{0xbd, NULL, -1},
	{0xbe, NULL, -1},
	{0xbf, NULL, -1},
	{0xc0, NULL, -1},
	{0xc1, NULL, -1},
	{0xc2, NULL, -1},
	{0xc3, NULL, -1},
	{0xc4, NULL, -1},
	{0xc5, NULL, -1},
	{0xc6, NULL, -1},
	{0xc7, NULL, -1},
	{0xc8, NULL, -1},
	{0xc9, NULL, -1},
	{0xca, NULL, -1},
	{0xcb, NULL, -1},
	{0xcc, NULL, -1},
	{0xcd, NULL, -1},
	{0xce, NULL, -1},
	{0xcf, NULL, -1},
	{0xd0, NULL, -1},
	{0xd1, NULL, -1},
	{0xd2, NULL, -1},
	{0xd3, NULL, -1},
	{0xd4, NULL, -1},
	{0xd5, NULL, -1},
	{0xd6, NULL, -1},
	{0xd7, NULL, -1},
	{0xd8, NULL, -1},
	{0xd9, NULL, -1},
	{0xda, NULL, -1},
	{0xdb, NULL, -1},
	{0xdc, NULL, -1},
	{0xdd, NULL, -1},
	{0xde, NULL, -1},
	{0xdf, NULL, -1},
	{0xe0, NULL, -1},
	{0xe1, NULL, -1},
	{0xe2, NULL, -1},
	{0xe3, NULL, -1},
	{0xe4, NULL, -1},
	{0xe5, NULL, -1},
	{0xe6, NULL, -1},
	{0xe7, NULL, -1},
	{0xe8, NULL, -1},
	{0xe9, NULL, -1},
	{0xea, NULL, -1},
	{0xeb, NULL, -1},
	{0xec, NULL, -1},
	{0xed, NULL, -1},
	{0xee, NULL, -1},
	{0xef, NULL, -1},
	{0xf0, NULL, -1},
	{0xf1, NULL, -1},
	{0xf2, NULL, -1},
	{0xf3, NULL, -1},
	{0xf4, NULL, -1},
	{0xf5, NULL, -1},
	{0xf6, NULL, -1},
	{0xf7, NULL, -1},
	{0xf8, NULL, -1},
	{0xf9, NULL, -1},
	{0xfa, NULL, -1},
	{0xfb, NULL, -1},
	{0xfc, NULL, -1},
	{0xfd, NULL, -1},
	{0xfe, NULL, -1},
	{0xff, NULL, -1}
};
