/*
 *	python-types.h
 *
 */

#ifdef WITH_PYGTK

#ifndef _PYTHON_GTK_TYPES_H_
#define _PYTHON_GTK_TYPES_H_

#include "python-types.h"
#include "gtk-event-view.h"


#define G_VIEW_NAME	"EventView"

typedef struct 
{
	PyObject_HEAD
	gtk_event_view * view;
} 
gtk_view_object;

extern PyTypeObject gtk_view_py_type;

#define gtk_view_Check(op) ((op)->ob_type == &gtk_view_py_type)

extern gtk_view_object *
gtk_view_new_from_gtk_event_view (gtk_event_view * view);

extern gtk_view_object *
module_gtk_view_new (PyObject * self, PyObject * args);

extern bool
pygtk_init();

/*
 *
 *
 */

inline PyObject *
rgb_vector_new (c_color * color)
{
	PyObject * list = PyList_New (3);
	if (!list)
		return list;
	
	PyList_SetItem (list, 0, PyInt_FromLong (color->r));
	PyList_SetItem (list, 1, PyInt_FromLong (color->g));
	PyList_SetItem (list, 2, PyInt_FromLong (color->b));

	return list;
}

/*
 *
 *
 */

#endif /* _PYTHON_GTK_TYPES_ */

#endif /* WITH_PYGTK */
