/*
 *	midi-connector.cc
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "midi-connector.h"

m_connector::m_connector (char * name)
: 
c_ref_obj (name) 
{
	_m_connector_name = NULL;
	_async = 0;
}

m_connector::~m_connector()
{
	if (_m_connector_name)
		free (_m_connector_name);
}

void
m_connector::set_connector_name (char * fmt, ...)
{
	if (_m_connector_name)
		free (_m_connector_name);

	va_list args;

	va_start (args, fmt);
	vasprintf (&_m_connector_name, fmt, args);
	va_end (args);
}

char *
m_connector::get_connector_name()
{
	if (_m_connector_name)
		return _m_connector_name;
	return _c_refname;
}
