/*
 *	midi-controller-types.cc
 *
 */
#include "midi-event.h"

m_controller_type
m_controller_event::types[] = 
{
	{0x00, 0, "BankSelectMSB"},
	{0x01, 0, "ModulationWheelMSB"},
	{0x02, 0, "BreathControlMSB"},
	{0x03, 0, "AftertouchCont3MSB"},
	{0x04, 0, "FootControllerMSB"},
	{0x05, 0, "PortamentoTimeMSB"},
	{0x06, 0, "DataEntryMSB"},
	{0x07, 0, "MainVolumeMSB"},
	{0x08, 0, "BalanceMSB"},
	{0x09, 0, "Cont9MSB"},
	{0x0A, 0, "PanMSB"},
	{0x0B, 0, "ExpressionMSB"},
	{0x0C, 0, "Cont12MSB"},
	{0x0D, 0, "Cont13MSB"},
	{0x0E, 0, "Cont14MSB"},
	{0x0F, 0, "Cont15MSB"},
	{0x10, 0, "Cont16MSB"},
	{0x11, 0, "Cont17MSB"},
	{0x12, 0, "Cont18MSB"},
	{0x13, 0, "Cont19MSB"},
	{0x14, 0, "Cont20MSB"},
	{0x15, 0, "Cont21MSB"},
	{0x16, 0, "Cont22MSB"},
	{0x17, 0, "Cont23MSB"},
	{0x18, 0, "Cont24MSB"},
	{0x19, 0, "Cont25MSB"},
	{0x1A, 0, "Cont26MSB"},
	{0x1B, 0, "Cont27MSB"},
	{0x1C, 0, "Cont28MSB"},
	{0x1D, 0, "Cont29MSB"},
	{0x1E, 0, "Cont30MSB"},
	{0x1F, 0, "Cont31MSB"},
	{0x20, 0, "BankSelectLSB"},
	{0x21, 0, "ModulationWheelLSB"},
	{0x22, 0, "BreathControlLSB"},
	{0x23, 0, "AftertouchCont3LSB"},
	{0x24, 0, "FootControllerLSB"},
	{0x25, 0, "PortamentoTimeLSB"},
	{0x26, 0, "DataEntryLSB"},
	{0x27, 0, "MainVolumeLSB"},
	{0x28, 0, "BalanceLSB"},
	{0x29, 0, "Cont9LSB"},
	{0x2A, 0, "PanLSB"},
	{0x2B, 0, "ExpressionLSB"},
	{0x2C, 0, "Cont12LSB"},
	{0x2D, 0, "Cont13LSB"},
	{0x2E, 0, "Cont14LSB"},
	{0x2F, 0, "Cont15LSB"},
	{0x30, 0, "Cont16LSB"},
	{0x31, 0, "Cont17LSB"},
	{0x32, 0, "Cont18LSB"},
	{0x33, 0, "Cont19LSB"},
	{0x34, 0, "Cont20LSB"},
	{0x35, 0, "Cont21LSB"},
	{0x36, 0, "Cont22LSB"},
	{0x37, 0, "Cont23LSB"},
	{0x38, 0, "Cont24LSB"},
	{0x39, 0, "Cont25LSB"},
	{0x3A, 0, "Cont26LSB"},
	{0x3B, 0, "Cont27LSB"},
	{0x3C, 0, "Cont28LSB"},
	{0x3D, 0, "Cont29LSB"},
	{0x3E, 0, "Cont30LSB"},
	{0x3F, 0, "Cont31LSB"},
	{0x40, 0, "DamperPedal"},
	{0x41, 0, "Portamento"},
	{0x42, 0, "Sostenuto"},
	{0x43, 0, "SoftPedal"},
	{0x44, 0, "Legato"},
	{0x45, 0, "Hold2"},
	{0x46, 0, "SoundVariation"},
	{0x47, 0, "Timbre"},
	{0x48, 0, "ReleaseTime"},
	{0x49, 0, "AttackTime"},
	{0x4A, 0, "Brightness"},
	{0x4B, 0, "SoundController6"},
	{0x4C, 0, "SoundController7"},
	{0x4D, 0, "SoundController8"},
	{0x4E, 0, "SoundController9"},
	{0x4F, 0, "SoundController10"},
	{0x50, 0, NULL},
	{0x51, 0, NULL},
	{0x52, 0, NULL},
	{0x53, 0, NULL},
	{0x54, 0, "Portamento"},
	{0x55, 0, NULL},
	{0x56, 0, NULL},
	{0x57, 0, NULL},
	{0x58, 0, NULL},
	{0x59, 0, NULL},
	{0x5A, 0, NULL},
	{0x5B, 0, "ExternalFXDepth"},
	{0x5C, 0, "TremoloDepth"},
	{0x5D, 0, "ChorusDepth"},
	{0x5E, 0, "CelesteDepth"},
	{0x5F, 0, "PhaserDepth"},
	{0x60, 0, "DataIncrement"},
	{0x61, 0, "DataDecrement"},
	{0x62, 0, "NonregisteredLSB"},
	{0x63, 0, "NonregisteredMSB"},
	{0x64, 0, "RegisteredLSB"},
	{0x65, 0, "RegisteredMSB"},
	{0x66, 0, "MonoPitch"},
	{0x67, 0, NULL},
	{0x68, 0, NULL},
	{0x69, 0, NULL},
	{0x6A, 0, NULL},
	{0x6B, 0, NULL},
	{0x6C, 0, NULL},
	{0x6D, 0, NULL},
	{0x6E, 0, NULL},
	{0x6F, 0, NULL},
	{0x70, 0, NULL},
	{0x71, 0, NULL},
	{0x72, 0, NULL},
	{0x73, 0, NULL},
	{0x74, 0, NULL},
	{0x75, 0, NULL},
	{0x76, 0, NULL},
	{0x77, 0, "MuteChannel"},
	{0x78, 0, "AllSoundOff"},
	{0x79, 0, "ResetAllControllers"},
	{0x7A, 0, "LocalControl"},
	{0x7B, 0, "AllNotesOff"},
	{0x7C, 0, "OmniModeOff"},
	{0x7D, 0, "OmniModeOn"},
	{0x7E, 0, "MonoMode"},
	{0x7F, 0, "PolyMode"}
};
